#include <MachineComponent/MachineComponent.hpp>

MachineComponent::MachineComponent(Machine &machine) : machine(machine) {};

bool MachineComponent::isReady()
{
    return true;
}

void MachineComponent::onRemoving()
{
    // NOP
}

void MachineComponent::onPreUpdate()
{
    // NOP
}

void MachineComponent::onPostUpdate()
{
    // NOP
}

void MachineComponent::saveConfig(std::vector<ItemStack> &consumedItems, std::vector<uint8_t> &data)
{
    // NOP
}

void MachineComponent::loadConfig(const std::vector<uint8_t> &data, bool consumed)
{
    // NOP
}